apiVersion: apps/v1
kind: Deployment
metadata:
  name: shelfarr
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: shelfarr
  template:
    metadata:
      labels:
        app: shelfarr
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: shelfarr
        image: ghcr.io/pedro-revez-silva/shelfarr:c49adad
        securityContext:
          capabilities:
            add:
              - NET_ADMIN
        ports:
          - containerPort: 5056 
            name: webui
        env:
        - name: PUID
          value: "1013"
        - name: PGID
          value: "1013"
        - name: HTTP_PORT
          value: "5056"
        - name: TZ
          value: 'Etc/UTC'
        volumeMounts:
        - name: config
          mountPath: /rails/storage
        - name: books
          mountPath: /books
        - name: downloads
          mountPath: /downloads
      volumes:
      - name: config
        persistentVolumeClaim:
          claimName: shelfarr-config-pvc
      - name: books
        persistentVolumeClaim:
          claimName: shelfarr-books-pvc
      - name: downloads
        persistentVolumeClaim:
          claimName: qbittorrent-downloads-pvc



